/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.css;

/**
 * This interface represents elements with pseudo-classes.
 *
 * @author <a href="mailto:stephane@hillion.org">Stephane Hillion</a>
 * @version $Id: ElementWithPseudoClass.java,v 1.1.1.1 2000/10/10 18:37:17 hillion Exp $
 */

public interface ElementWithPseudoClass {
    /**
     * Whether this element matches the given pseudo-class.
     */
    boolean matchPseudoClass(String pseudoClass);
}
