/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.extension.svg;


public interface BatikExtConstants {

    /** Namespace for batik extentions. */
    public static final String BATIK_EXT_NAMESPACE_URI = 
        "http://xml.apache.org/batik/ext";

    /** Tag name for Batik's regular poly extension. */
    public static final String BATIK_EXT_REGULAR_POLYGON_TAG = 
        "regularPolygon";

    /** Tag name for Batik's star extension. */
    public static final String BATIK_EXT_STAR_TAG = 
        "star";

    /** Tag name for Batik's regular poly extension. */
    public static final String BATIK_EXT_SOLID_COLOR_TAG = 
        "solidColor";

    /** Tag name for Batik's regular poly extension. */
    public static final String BATIK_EXT_COLOR_SWITCH_TAG = 
        "colorSwitch";

    /** Tag name for Batik's histogram normalization extension. */
    public static final String BATIK_EXT_HISTOGRAM_NORMALIZATION_TAG =
        "histogramNormalization";

    /** Tag name for Batik's multiImage extension. */
    public static final String BATIK_EXT_MULTI_IMAGE_TAG =
        "multiImage";

    /** Tag name for Batik's subImage multiImage extension. */
    public static final String BATIK_EXT_SUB_IMAGE_TAG =
        "subImage";

    /** Attribute name for sides attribute */
    public static final String BATIK_EXT_SIDES_ATTRIBUTE = 
        "sides";

    /** Attribute name for inner radius attribute */
    public static final String BATIK_EXT_IR_ATTRIBUTE = 
        "ir";

    /** Attribute name for trim percent attribute */
    public static final String BATIK_EXT_TRIM_ATTRIBUTE = 
        "trim";

    /** Attribute name for pixel-width attribute */
    public static final String BATIK_EXT_PIXEL_WIDTH_ATTRIBUTE = 
        "pixel-width";

    /** Attribute name for pixel-height attribute */
    public static final String BATIK_EXT_PIXEL_HEIGHT_ATTRIBUTE = 
        "pixel-height";

    /** Attribute name for color attribute */
    public static final String BATIK_EXT_SOLID_COLOR_PROPERTY = 
        "solid-color";

    /** Attribute name for opacity attribute */
    public static final String BATIK_EXT_SOLID_OPACITY_PROPERTY = 
        "solid-opacity";

}
